<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
$pdf->open();//abre o fpdf
//$pdf->AddPage();//adicionando a primera pafina
$pdf->SetFont('Arial','',12);
$pdf->SetDrawColor(10,10,10);
$fonte="Arial";
$nomeOperador=5;


for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);	
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$objetoCalculoGerminacaoFichaPadrao = new calculoGerminacaoFichaPadrao(); //calcula todos valores finais
$vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);

$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
				 
$userTTAP = new amostras();
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais

$userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
$userTTAP->selecionaCampos($userTTAP);
$disparaCabecalho=1;
//echo("sssssssssql= $userTTAP->extras_select <br>");				 
while ($resTTAP = $userTTAP->retornaDados()):
if($disparaCabecalho==1):
$disparaCabecalho=0;

$pdf->AddPage();//adicionando a primera pafina 
$disparaCabecalho=0;	
$maximoLAdobe=210;
$maximoHAdobe=297;
$margemEsquerda=15;
$margemDireita=$maximoLAdobe-6;
$larguraUtil=$maximoLAdobe-32;
$cinza=220;
$pdf->SetFillColor($cinza,$cinza,$cinza);
$grosso=0.7;
$medio=0.4;
$fino=0.3;
$extraFino=0.2;
//AQUI COMECA O NOVO CONCEITO DE ALTURA DE LINHAS
//VOU CLRIAR ESPACAADOR VERTICAL MOVEL
$espacador=4.5;
$cota1=10;
$cotaOriginal=$cota1;

$largo1=36;
$largo2=152;
$largo3=80;
$posicao3=$margemEsquerda+$largo1+$largo2;
$terco=$largo3/3;

//COMECA O CABEÇA~LHO
$pdf->Image('ImagensClientes/i' .$idLabo.'.JPG',$margemEsquerda+5,$cota1+2,24,12,'JPG');//vai LOGOMARCA
$pdf->Rect($margemEsquerda,$cota1,$largo1,4*$espacador);
$pdf->SetFont('Arial','',10);
$pdf->setXY($margemEsquerda+$largo1,$cota1); 
$pdf->Cell($largo2,2*$espacador,utf8_decode("FORMULÁRIOxs"),1,1,'C');

$pdf->setXY($margemEsquerda+$largo1,$cota1+2*$espacador); 
$pdf->SetFont('Arial','B',10);
$pdf->Cell($largo2,2*$espacador,utf8_decode("Ficha de análise de sementes"),1,1,'C');
//direita
$pdf->Rect($posicao3,$cota1,$largo3,2*$espacador);
$pdf->SetFont('Arial','',8);
$pdf->setXY($margemEsquerda+$largo1+$largo2,$cota1); 
$pdf->Cell($largo3,$espacador,utf8_decode("Identificação"),0,1,'C');
$pdf->SetFont('Arial','B',10);
$pdf->setXY($margemEsquerda+$largo1+$largo2,$cota1+$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("FOR 5.8.01"),0,1,'C');
$pdf->Rect($posicao3,$cota1+2*$espacador,$terco,2*$espacador);
$pdf->Rect($posicao3+$terco,$cota1+2*$espacador,$terco,2*$espacador);
$pdf->Rect($posicao3+$terco+$terco,$cota1+2*$espacador,$terco,2*$espacador);
$pdf->SetFont('Arial','',10);
$pdf->setXY($posicao3,$cota1+2*$espacador); 
$pdf->Cell($largo3/3,$espacador,utf8_decode("Data revisão"),0,0,'C');
$pdf->Cell($largo3/3,$espacador,utf8_decode("Revisão"),0,0,'C');
$pdf->Cell($largo3/3,$espacador,utf8_decode("Página"),0,0,'C');
$pdf->setXY($posicao3,$cota1+3*$espacador); 
$pdf->SetFont('Arial','B',10);
$pdf->Cell($largo3/3,$espacador,utf8_decode("15/03/2012"),0,0,'C');
$pdf->Cell($largo3/3,$espacador,utf8_decode("02"),0,0,'C');
$pdf->Cell($largo3/3,$espacador,utf8_decode("1/2"),0,0,'C');

//COMECA IDENTIFICAO DA ESPECIE E DA AMOSTRA
$largo1=25;
$largo2=17;
$largo3=16;
$largo4=90;
$largo5=75;
$largo6=45;

$cota1=$cota1+4*$espacador+4;
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->SetFont('Arial','B',10);
$pdf->Cell($largo1,2*$espacador,utf8_decode("FICHA Nº"),1,0,'C');
$pdf->Cell($largo2,2*$espacador,$vetorRaioX[1],1,0,'C');//lab nome
//linhas estreitas
$funcao="";
$pdf->Cell(16,2*$espacador," ",1,0,'C');//lab nome
$pdf->setXY($margemEsquerda+$largo1+$largo2,$cota1); 
$pdf->SetFont('Arial','',10);
$pdf->Cell($largo3,$espacador,"Ano ",1,0,'C');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode("Espécie: ".$vetorRaioX[43]),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode("Categoria: ".$vetorRaioX[53]),1,0,'C');//lab nome
$funcao=$vetorRaioX[259];
if($funcao=="PRODUÇÃO"):
  $previa="Prévia( )";
  $definitiva="Definitiva(x)";
else:
  $previa="Prévia(x)";
  $definitiva="Definitiva( )";
endif;

$pdf->Cell($largo6,$espacador,utf8_decode($previa),1,0,'C');//lab nome
//linha de baixo
$pdf->setXY($margemEsquerda+$largo1+$largo2,$cota1+$espacador); 
$pdf->SetFont('Arial','B',10);
$pdf->Cell($largo3,$espacador,substr($vetorRaioX[8],6),1,0,'C');//lab nome
$pdf->SetFont('Arial','',8);
$pdf->Cell($largo4,$espacador,utf8_decode("Cultivar: ".$vetorRaioX[42]),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode("Safra: ".$vetorRaioX[48]),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode($definitiva),1,0,'C');//lab nome


////////////////////////////////////////////////////////////////////////
//comeca a parte de pureza (vou separar pureza da germinacao))
//TESTES A REALIZAR
$testesConcatenados=$vetorRaioX[47];
$vetorFinal=$objetoCalculoGerminacaoFichaPadrao->marcouTestesRealizar($testesConcatenados);
$assinalouPUR=$vetorFinal[1];//PUR
$assinalouGER=$vetorFinal[2];//GER
$assinalouPMS=$vetorFinal[3];//PMS
$assinalouTZO=$vetorFinal[4];//TZO DE SOJA
$assinalouEAC=$vetorFinal[5];//EAC
$assinalouTZF=$vetorFinal[6];//TZF
$assinalouDOS=$vetorFinal[7];//DOS


 //calcula impurezas
 $impureza=$vetorRaioX[23]+$vetorRaioX[24];//soma impurezas
 $pesoFinal=$vetorRaioX[23]+$vetorRaioX[24]+$vetorRaioX[22];//peso final(os+mi+pu)
 $difAT_PF=$vetorRaioX[21]-$pesoFinal;//diferenca AT-PF

//pesos
if($assinalouPUR == "SIM"):
     $pp1=$vetorRaioX[21];
     $pp2=$vetorRaioX[22];
     $pp3=$vetorRaioX[24];
     $pp4=$vetorRaioX[23];
     $pp5=$pesoFinal;

     //$outrasSementes ='-N-';//campo outras sementes

else:
	 $pp1='-N-';
	 $pp2='-N-';
	 $pp3='-N-';
	 $pp4='-N-';
	 $pp5='-N-';
	 $vetorRaioX[15]="-N-";
	 $vetorRaioX[25]="-N-";
	 $vetorRaioX[26]="-N-";
     $vetorRaioX[104]='-O-';//balanca de pureza
     $vetorRaioX[154]='-O-';//data/operador
 $vetorRaioX[55] ='-O-';//natureza do mi
     //$outrasSementes ='-O-';//campo outras sementes
endif;	

$largo1=115;
$largo2=153;
$largo3=28;
$largo4=18;
$largo5=12;
$largo6=57;
$cota1=$cota1+2*$espacador+3;
$guardaCota=$cota1;
$pdf->SetLineWidth($grosso);
$pdf->Rect($margemEsquerda,$cota1,$largo1,153);
$pdf->Rect($margemEsquerda+$largo1,$cota1,$largo2,153);
//linhas
$pdf->SetLineWidth($fino);
$pdf->setXY($margemEsquerda,$cota1); 
$pdf->Cell($largo1,$espacador,utf8_decode("Análise de pureza:".$vetorCapturaGeral[91].'g'),1,0,'L');//lab nome
//linhas quebradas
$pdf->setXY($margemEsquerda,$cota1+$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("Determinação:"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode("g"),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode("%"),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode("Material Inerte:"),1,0,'L');//lab nome
//AQUI PREPARA O ASSINALAMENTO DE NATUREZA DO MATERIAL INERTE
$naturezaMatInerte="Gato".$vetorRaioX[55];//coloca qualquer coisa antes da string para nao pegar posicao zero
$quebradas="Sementes quebradas( )";
$cotiledones="Cotilédones( )";
$tegumento="Tegumentos( )";
$embrioes="Embriões( )";
$partidas="Sementes Partidas( )";

if(strpos($naturezaMatInerte,'uebradas')>0)$quebradas="Sementes quebradas(x)";
if(strpos($naturezaMatInerte,'Coti')>0)$cotiledones="Cotilédones(x)";
if(strpos($naturezaMatInerte,'Teg')>0)$tegumento="Tegumentos(x)";
if(strpos($naturezaMatInerte,'Embri')>0)$embrioes="Embriões(x)";
if(strpos($naturezaMatInerte,'artidas')>0)$partidas="Sementes Partidas(x)";

//linha 2
$pdf->setXY($margemEsquerda,$cota1+2*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("Amostra Trab:"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode($pp1),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode("100"),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode($quebradas),1,0,'L');//
//nova linha
$pdf->setXY($margemEsquerda,$cota1+3*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("1_Semente Pura:"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode($pp2),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode($vetorRaioX[15]),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode($cotiledones),1,0,'L');//lab nome

//nova linha
$pdf->setXY($margemEsquerda,$cota1+4*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("Impureza:"),1,0,'L');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode( $impureza),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode($vetorRaioX[25]+$vetorRaioX[26]),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode($tegumento),1,0,'L');//lab nome
//nova linha
$pdf->setXY($margemEsquerda,$cota1+5*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("3_Outras Semente"),1,0,'C');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode($pp4),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode($vetorRaioX[26]),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode($embrioes),1,0,'L');//lab nome
//nova linha
$pdf->setXY($margemEsquerda,$cota1+6*$espacador); 
$pdf->Cell($largo3,$espacador,utf8_decode("2_Material Inerte"),1,0,'C');//lab nome
$pdf->Cell($largo4,$espacador,utf8_decode($pp3),1,0,'C');//lab nome
$pdf->Cell($largo5,$espacador,utf8_decode($vetorRaioX[25]),1,0,'C');//lab nome
$pdf->Cell($largo6,$espacador,utf8_decode($partidas),1,0,'L');//lab nome





//setor outras sementes contaminantes
//aqui comoca colocando uns titulos que vao ser destacados com linha grossa
$cota1=$cota1+7*$espacador;
$pdf->SetLineWidth($grosso);
$pesoRetornado1=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorCapturaGeral[93]);
$pesoRetornado2=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[105]);

$pdf->setXY($margemEsquerda,$cota1+0*$espacador); 
$pdf->Cell($largo1,$espacador,utf8_decode("Outras Sementes"),1,0,'C');//lab nome
$pdf->setXY($margemEsquerda,$cota1+11*$espacador); 
$pdf->Cell($largo1,$espacador,utf8_decode("Outras Sementes por número em:" .'/'. $pesoRetornado2." g"),1,0,'C');//lab nome
$pdf->setXY($margemEsquerda,$cota1+23*$espacador); 
$pdf->Cell($largo1,$espacador,utf8_decode("Determinações Adicionais"),1,0,'C');//lab nome

 //contaminantes
 $vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
 $vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
 $vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
 $vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
 $limiteOESP=sizeof($vetorRXOESP)-1;
 $limiteSILV=sizeof($vetorRXSILV)-1;
 $limiteNOCT=sizeof($vetorRXNOCT)-1;
 $limiteNOCP=sizeof($vetorRXNOCP)-1;
 
 
//26 linhas de conteudo
$pdf->SetLineWidth($fino);
$matrizConteudo[1]="4-Outras cultivares:". $vetorRaioX[251];

//aqui trasnfere as outras especies cultivadas  (em princiopio 5 contaminantes 1 na primeira linha e dois nas demais))
//$matrizConteudo[4]="10-O. Espécies Cultivadas".$vetorRXOESP[1][0].'( '.$vetorRXOESP[1][1].') ';//nome contaminante;
//$matrizConteudo[5]=$vetorRXOESP[2][0].'( '.$vetorRXOESP[2][1].') '.$vetorRXOESP[3][0].'( '.$vetorRXOESP[3][1].') ';//nome contaminante;
//$matrizConteudo[6]=$vetorRXOESP[4][0].'( '.$vetorRXOESP[4][1].') '.$vetorRXOESP[5][0].'( '.$vetorRXOESP[5][1].') ';//nome contaminante;
$matrizConteudo[4]="10-O. Espécies Cultivadas: ";//nome contaminante;
if($limiteOESP==0)$matrizConteudo[4]="10-O. Espécies Cultivadas = 0 ";
for($i=1;$i<=$limiteOESP;$i++):
   if($i==1) $matrizConteudo[4]=$matrizConteudo[4].$vetorRXOESP[1][0].'( '.$vetorRXOESP[1][1].') ';//nome contaminante;
   if($i==2) $matrizConteudo[5]=                   $vetorRXOESP[2][0].'( '.$vetorRXOESP[2][1].') ';//nome contaminante;
   if($i==3) $matrizConteudo[5]=$matrizConteudo[5].$vetorRXOESP[3][0].'( '.$vetorRXOESP[3][1].') ';//nome contaminante;
   if($i==4)$matrizConteudo[6]=                    $vetorRXOESP[4][0].'( '.$vetorRXOESP[4][1].') ';//nome contaminante;
   if($i==5) $matrizConteudo[6]=$matrizConteudo[6].$vetorRXOESP[5][0].'( '.$vetorRXOESP[5][1].') ';//nome contaminante;
endfor;

$matrizConteudo[7]="11-Silvestre: ";
if($limiteSILV==0)$matrizConteudo[7]="11-Silvestre=0 ";
for($i=1;$i<=$limiteSILV;$i++):
   if($i==1) $matrizConteudo[7]=$matrizConteudo[7].$vetorRXSILV[1][0].'( '.$vetorRXSILV[1][1].') ';//nome contaminante;
   if($i==2) $matrizConteudo[8]=                   $vetorRXSILV[2][0].'( '.$vetorRXSILV[2][1].') ';//nome contaminante;
   if($i==3) $matrizConteudo[8]=$matrizConteudo[8].$vetorRXSILV[3][0].'( '.$vetorRXSILV[3][1].') ';//nome contaminante;
   if($i==4)$matrizConteudo[9]=                    $vetorRXSILV[4][0].'( '.$vetorRXSILV[4][1].') ';//nome contaminante;
   if($i==5) $matrizConteudo[9]=$matrizConteudo[9].$vetorRXSILV[5][0].'( '.$vetorRXSILV[5][1].') ';//nome contaminante;
endfor;


$matrizConteudo[10]="Data: ". $vetorRaioX[154]."     Analista:". $vetorRaioX[153];
$matrizConteudo[12]="12-Toleradas: ";
if($limiteNOCT==0)$matrizConteudo[12]="12-Toleradas=0 ";
for($i=1;$i<=$limiteNOCT;$i++):
   if($i==1) $matrizConteudo[12]=$matrizConteudo[12].$vetorRXNOCT[1][0].'( '.$vetorRXNOCT[1][1].') ';//nome contaminante;
   if($i==2) $matrizConteudo[13]=                    $vetorRXNOCT[2][0].'( '.$vetorRXNOCT[2][1].') ';//nome contaminante;
   if($i==3) $matrizConteudo[13]=$matrizConteudo[13].$vetorRXNOCT[3][0].'( '.$vetorRXNOCT[3][1].') ';//nome contaminante;
   if($i==4)$matrizConteudo[14]=                     $vetorRXNOCT[4][0].'( '.$vetorRXNOCT[4][1].') ';//nome contaminante;
   if($i==5) $matrizConteudo[14]=$matrizConteudo[14].$vetorRXNOCT[5][0].'( '.$vetorRXNOCT[5][1].') ';//nome contaminante;
endfor;


$matrizConteudo[17]="13-Nocivas Proibidas: ";
if($limiteNOCP==0)$matrizConteudo[17]="13-Nocivas Proibidas=0 ";
for($i=1;$i<=$limiteNOCP;$i++):
   if($i==1) $matrizConteudo[17]=$matrizConteudo[17].$vetorRXNOCP[1][0].'( '.$vetorRXNOCP[1][1].') ';//nome contaminante;
   if($i==2) $matrizConteudo[18]=                    $vetorRXNOCP[2][0].'( '.$vetorRXNOCP[2][1].') ';//nome contaminante;
   if($i==3) $matrizConteudo[18]=$matrizConteudo[18].$vetorRXNOCP[3][0].'( '.$vetorRXNOCP[3][1].') ';//nome contaminante;
   if($i==4)$matrizConteudo[19]=                     $vetorRXNOCP[4][0].'( '.$vetorRXNOCP[4][1].') ';//nome contaminante;
   if($i==5) $matrizConteudo[19]=$matrizConteudo[19].$vetorRXNOCP[5][0].'( '.$vetorRXNOCP[5][1].') ';//nome contaminante;
endfor;
//SE A PESSOA NAO ACHOU NADA EM CONTAMINANTES VAI ZERO NA QUANTIDADE E  PEGA A DATA DA PUREZA
if($limiteOESP==0 && $limiteSILV==0 && $limiteNOCT==0 && $limiteNOCP==0)$vetorRaioX[216]=$vetorRaioX[154];
$matrizConteudo[21]="Data: ". $vetorRaioX[216]."     Analista:". $vetorRaioX[215];

//outras determinacoes
$matrizConteudo[24]="14-G. Infest.:_" .$vetorRaioX[27]."  e__" .$vetorRaioX[28]." = ".$vetorRaioX[18]." %";
$matrizConteudo[25]="PMS:" .$vetorRaioX[13]." g          Analista: ".$vetorRaioX[117];
$matrizConteudo[26]="Observações:".$vetorRaioX[63];



for($i=1;$i<=26;$i++):
	$pdf->setXY($margemEsquerda,$cota1+$i*$espacador); 
	$pdf->Cell($largo1,$espacador,utf8_decode($matrizConteudo[$i]),1,0,'L');//e
endfor;

/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
/////GERMINACAO/////////////////////////////////////////////////////////////
                //FAÇO COMO DEVO FAZER  
				  
				$cota1=$guardaCota;
				$largo7=17;
				$largo8=17;
				$largo9=11;
				$largo10=6;
				$largo11=68;
				$largo12=16;
				$largo13=52;

                $margemGerminacao=$margemEsquerda+$largo1;   
                $pdf->setXY($margemGerminacao,$cota1); 
                $pdf->Cell($largo2,$espacador,utf8_decode("Teste de Germinação-com dados"),1,0,'C');  
//faz uma matrizinha so para a colunad da legenda de totais
$matrizColunaTotais[1]="-/-";
$matrizColunaTotais[2]="-/-";
$matrizColunaTotais[3]="Total";
$matrizColunaTotais[4]="";
$matrizColunaTotais[5]="%";
$matrizColunaTotais[6]="-/-";
$matrizColunaTotais[7]="-/-";
$matrizColunaTotais[8]="Total";
$matrizColunaTotais[9]="";
$matrizColunaTotais[10]="%";
$matrizColunaTotais[11]="-/-";
$matrizColunaTotais[12]="-/-";
$matrizColunaTotais[13]="Total";
$matrizColunaTotais[14]="";
$matrizColunaTotais[15]="%";
$matrizColunaTotais[16]="-/-";
$matrizColunaTotais[17]="-/-";
$matrizColunaTotais[18]="Total";
$matrizColunaTotais[19]="";
$matrizColunaTotais[20]="%";
for($i=1;$i<=20;$i++):
  $pdf->setXY($margemGerminacao+$largo10,$cota1+($i+2)*$espacador); 
  if($i==4 || $i==5 || $i==9 || $i==10 || $i==14 || $i==15 ):   
     $pdf->Cell($largo9,$espacador,utf8_decode($matrizColunaTotais[$i]),0,0,'C');//sem borda
  else: 
     $pdf->Cell($largo9,$espacador,utf8_decode($matrizColunaTotais[$i]),1,0,'C');//com borda
  endif;
endfor;
//escritas verticasis
$pdf->Image('ImagensClientes/escritaVertical1.jpg',$margemGerminacao+1,$guardaCota+3.2*$espacador,5,22,'JPG');//vai LOGOMARCA
$pdf->Image('ImagensClientes/escritaVertical2.jpg',$margemGerminacao+1,$guardaCota+8.2*$espacador,5,22,'JPG');//vai LOGOMARCA
$pdf->Image('ImagensClientes/escritaVertical3.jpg',$margemGerminacao+1,$guardaCota+13.2*$espacador,5,22,'JPG');//vai LOGOMARCA
$pdf->Image('ImagensClientes/escritaVertical4.jpg',$margemGerminacao+1,$guardaCota+18.2*$espacador,5,22,'JPG');//vai LOGOMARCA
$pdf->Image('ImagensClientes/escritaVertical5.jpg',$margemGerminacao+1,$guardaCota+23.2*$espacador,$largo8,45,'JPG');//vai LOGOMAR

//retangulos de acabamento
$pdf->Rect($margemGerminacao,$guardaCota+3*$espacador,$largo10,5*$espacador);//circinscreve duracao dias
$pdf->Rect($margemGerminacao,$guardaCota+8*$espacador,$largo10,5*$espacador);//circinscreve duracao dias
$pdf->Rect($margemGerminacao,$guardaCota+13*$espacador,$largo10,5*$espacador);//circinscreve duracao dias
$pdf->Rect($margemGerminacao,$guardaCota+18*$espacador,$largo10,5*$espacador);//circinscreve duracao dias
$pdf->Rect($margemGerminacao,$cota1,$largo8,49);//circinscreve a legenda vertocal outras informacoes
$pdf->setXY($margemGerminacao,$cota1+1*$espacador); 
$pdf->Cell($largo8,$espacador,utf8_decode("Repetição"),1,0,'C');
$pdf->setXY($margemGerminacao,$cota1+2*$espacador); 
$pdf->Cell($largo8,$espacador,utf8_decode("nº sementes"),1,0,'C');

//aqui ja vai trabalhar os dois testes

$parametroAvanco=97;
$cotaInicio=160;//inicio da grade de leituras
$alturaDasLinhas=4.5;
$vetorTeste[1]="GER";
$vetorTeste[2]="EAC";
$vetorTeste[3]="GE2";
//vai abrir um for que vai fechar la no final
//$larguraBase=17;//largura para 4 colunas que depois divide por 2 se for 8 coluas
$larguraColuna=17;

//imprime so os cabecalhos das colunas
for($tipoTeste=1;$tipoTeste<=2;$tipoTeste++)://teste pode ser GER,EAC,GE2
   $cota1=$cotaOriginal+34;//parametro onde comecam dados auxiliares					 
   $teste=$vetorTeste[$tipoTeste];
   if($tipoTeste==1)$posicao=147;
   if($tipoTeste==2)$posicao=215;
    $matrizGerminacao[1][1]="A";
	$matrizGerminacao[1][2]="B";
	$matrizGerminacao[1][3]="C";
	$matrizGerminacao[1][4]="D";
    $larguraColuna=17;
    for($i=1;$i<=2;$i++):

       $cota1+=$espacador;
       $pdf->setXY($posicao,$cota1); 
       for($j=1;$j<=4;$j++):
          $pdf->Cell($larguraColuna,$espacador,utf8_decode($matrizGerminacao[$i][$j]),1,0,'C');
	   endfor; 
    endfor;//joga impressao dos dados do respecivo teste
endfor;//for que percore os dosi testes


//IMPRIME OS DADOS REALMENTE
for($tipoTeste=1;$tipoTeste<=2;$tipoTeste++)://teste pode ser GER,EAC,GE2
   $cota1=$cotaOriginal+38.5;//parametro onde comecam dados auxiliares					 
   $matrizGerminacao=array();//limpa o array    
   //$avancoX=($tipoTeste-1)*$parametroAvanco;
   $teste=$vetorTeste[$tipoTeste];
   //$numeroDeColunas=$numCol[$tipoTeste];
   //zerar variaveis
   $analista="";
   $nomeTeste="";
   $inicioTeste="";
   $dataGeral="";
   $dataGeral="";
   $substrato="";			   
   $germinador="";
   $temperatura="";//TEMPERATURA GER
   $analista=  ""; //RUBRICA GER
   $tratamento="";//TRATAMENTO GER
   $reanLong=0;
   $numeroDeColunas=4;
   $normais="-N-";//TRATAMENTO GER
   $anormais="-N-";//TRATAMENTO GER
   $duras="-N-";;//TRATAMENTO GER
   $mortas="-N-";//TRATAMENTO GER



   if($teste=="GER"):
       $reanLong=$vetorRaioX[62];
       $analista=$vetorRaioX[40];
       $nomeTeste='TESTE DE GERMINAÇÃO';
	   $duracao=$vetorRaioX[37];
       $inicioTeste=$vetorRaioX[93];
	   $dataGeral=$vetorRaioX[39];//data final
	   $dataGeral=date("d/m/Y",strtotime($dataGeral));
       $substrato=$vetorRaioX[36];			   
	   $germinador=$vetorRaioX[38];//GERMINADOR GER
	   $temperatura=$vetorRaioX[35];//TEMPERATURA GER
	   $analista=  $vetorRaioX[40]; //RUBRICA GER
	   $tratamento=$vetorRaioX[61];//TRATAMENTO GER
	   $normais=$vetorRaioX[14]."%";//TRATAMENTO GER
	   $anormais=$vetorRaioX[64]."%";//TRATAMENTO GER
	   $duras=$vetorRaioX[66]."%";//TRATAMENTO GER
	   $mortas=$vetorRaioX[65]."%";//TRATAMENTO GER
	   if($assinalouGER=='NAO'):
		  $inicioTeste='-O-';//INICIADO GER
          $dataGeral='-O-';
		  $substrato='-O-';//SUBSTRATO GER
		  $germinador='-O-';//GERMINADOR GER
		  $temperatura='-O-';//TEMPERATURA GER
		  $analista='-O-'; //RUBRICA GER
		  $tratamento='-O-';//TRATAMENTO GER
		  $duracao='-O-'; 
	   endif;
    endif;//testa se é germinacao
	   
    if($teste=="EAC"):
       $reanLong=$vetorRaioX[91];
       $analista=$vetorRaioX[73];
       $nomeTeste='Envelhecimento acelerado';
       $inicioTeste=$vetorRaioX[94];//inicio
	   $dataGeral=$vetorRaioX[72];//data final
	   $duracao=$vetorRaioX[70];
	   $dataGeral=date("d/m/Y",strtotime($dataGeral));
	   if($reanLong<1)$dataGeral=' ';
       $substrato=$vetorRaioX[69];			   
	   $germinador=$vetorRaioX[71];//GERMINADOR GER
	   $temperatura=$vetorRaioX[68];//TEMPERATURA GER
	   $analista=  $vetorRaioX[73]; //RUBRICA GER
	   $tratamento=$vetorRaioX[74];//TRATAMENTO GER
	   if($assinalouEAC=='NAO'):
		  $inicioTeste='-O-';//INICIADO GER
          $dataGeral='-O-';
		  $substrato='-O-';//SUBSTRATO GER
		  $germinador='-O-';//GERMINADOR GER
		  $temperatura='-O-';//TEMPERATURA GER
		  $analista='-O-'; //RUBRICA GER
		  $tratamento='-O-';//TRATAMENTO GER
	   endif;
    endif;//testa se é eac

     ////CAPTURA O VETOR ADAPTADO//////////////////////
	 if($reanLong>0):
		 $matrizBaseNumeroCol=$objetoCalculoGerminacaoFichaPadrao->capturaBaseNumeroColunas($reanLong);
	     $base=$matrizBaseNumeroCol[0];	//base	        		 
	     $numeroDeColunas=$matrizBaseNumeroCol[1];//numero de colunas	
     else:
	     $base=100;	//base	        		 
	     $numeroDeColunas=4;//numero de colunas	
	 endif;

     //colocar uma regra geral//despejando a matriz do lab
     $cota=$cotaInicio;
	 $passaDados="NAO";
	 if($teste=='GER' && $assinalouGER=='SIM')$passaDados='SIM';
	 if($teste=='EAC' && $assinalouEAC=='SIM')$passaDados='SIM';
	 $larguraBase=17;
	 if($numeroDeColunas==4)$larguraColuna=$larguraBase;
	 if($numeroDeColunas==8)$larguraColuna=$larguraBase/2;
     //para resolver o caso que eu posso nao ter solicitado eac, e nem entrado la ai o numero de colunas fica zero
     if($numeroDeColunas<2)$numeroDeColunas=4;		 
	 //vai passar dados simples ou seja, sem compactacao
     if($passaDados=='SIM'): //vai capturar  a matriz/caso contrario nem vai entrar  
	    $vetorAdaptado=$objetoCalculoGerminacaoFichaPadrao->ajustaSimples($reanLong,$base,$numeroDeColunas);
	 else: //se nao passa entao coloca -n- 
	   //vai zerar todo vetor adaptado 
       for($i=1;$i<30;$i++):
           for($j=1;$j<=$numeroDeColunas;$j++):
		     $vetorAdaptado[$i][$j]="-N-";
		   endfor;		
	   endfor;		
     endif;//pergunta se passa 
		 //////FIM DA CAPTURA DO VEOTOR ADAPTADO///////////////////
   //ajusta linha por linha o vetor adaptado  na ficha do provigor     
 
   
   //ajusta as normais
   for($j=1;$j<=$numeroDeColunas;$j++):
     $vetorAdaptadoProVigor[1][$j]=$base;//preenche a base
     $vetorAdaptadoProVigor[2][$j]=$vetorAdaptado[1][$j];//primeira leitura
     $vetorAdaptadoProVigor[3][$j]=$vetorAdaptado[2][$j];//segunda leitura
     $vetorAdaptadoProVigor[4][$j]=$vetorAdaptado[1][$j]+$vetorAdaptado[2][$j];//totais leitura
   endfor; 
   //ajusta a linha de deformadas
   for($j=1;$j<=$numeroDeColunas;$j++):
     $vetorAdaptadoProVigor[7][$j]=$vetorAdaptado[5][$j];
     $vetorAdaptadoProVigor[9][$j]=$vetorAdaptado[5][$j];
   endfor; 
   //ajusta a linha de mortas
   for($j=1;$j<=$numeroDeColunas;$j++):
     $vetorAdaptadoProVigor[17][$j]=$vetorAdaptado[13][$j];
     $vetorAdaptadoProVigor[19][$j]=$vetorAdaptado[13][$j];
   endfor; 
   //ajusta a linha de duras
   for($j=1;$j<=$numeroDeColunas;$j++):
     $vetorAdaptadoProVigor[12][$j]=$vetorAdaptado[14][$j];
     $vetorAdaptadoProVigor[14][$j]=$vetorAdaptado[14][$j];
   endfor; 


   //AQUI IMPRIME AS TUDO
   if($tipoTeste==1)$posicao=147;
   if($tipoTeste==2)$posicao=215;
   $vetorAdaptadoProVigor[5][1]=$normais;
   $vetorAdaptadoProVigor[10][1]=$anormais;
   $vetorAdaptadoProVigor[15][1]=$duras;
   $vetorAdaptadoProVigor[20][1]=$mortas;
   for($i=1;$i<=21;$i++):
       $cota1+=$espacador;
       $pdf->setXY($posicao,$cota1); 
       //nao imprime caixinhas em linhas de valore final
       if($i==5 || $i==6 || $i==10 || $i==11 || $i==15 || $i==16 || $i==20 || $i==21 ):
           if($i==5 || $i==10 || $i==15 || $i==20 ):
		      //aqui eu coloco so as medias
	          $pdf->Cell($larguraColuna*$numeroDeColunas,2*$espacador,utf8_decode($vetorAdaptadoProVigor[$i][1]),1,0,'C');//.'L'.$i
	       endif;
       else:
	       for($j=1;$j<=$numeroDeColunas;$j++):
	          $pdf->Cell($larguraColuna,$espacador,utf8_decode($vetorAdaptadoProVigor[$i][$j]),1,0,'C');//.'L'.$i
	          //$pdf->Cell($larguraColuna,$espacador,utf8_decode($vetorAdaptado[$i][$j].'L'.$i),1,0,'C');//.'L'.$i
		   endfor; 
       endif;

   endfor;//joga impressao dos dados do respecivo teste
   
   
   //OUTRAS INFORMACOES
   //primeiro conjunto de outras informacoes

$cota1=$cota1+$espacador;
$margemGerminacao=$posicao-17;
$pdf->Rect($margemGerminacao+$largo8+$largo13,$cota1,$largo12,2*$espacador);//circinscreve duracao dias
$pdf->setXY($margemGerminacao+$largo8,$cota1); 
$pdf->Cell($largo13,$espacador,utf8_decode("Início:".$inicioTeste),1,0,'L');
$pdf->Cell($largo12,$espacador,utf8_decode("Duração:"),0,0,'C');
$pdf->setXY($margemGerminacao+$largo8,$cota1+$espacador); 
$pdf->Cell($largo13,$espacador,utf8_decode("Conclusão:".$dataGeral),1,0,'L');
$pdf->Cell($largo12,$espacador,utf8_decode($duracao." dias"),0,0,'C');
$pdf->setXY($margemGerminacao+$largo8,$cota1+2*$espacador); 
$pdf->Cell($largo11/2,$espacador,utf8_decode("Substrato:".$substrato),1,0,'L');
$pdf->Cell($largo11/2,$espacador,utf8_decode("Temperatura:".$temperatura),1,0,'L');
$pdf->setXY($margemGerminacao+$largo8,$cota1+3*$espacador); 
$pdf->Cell($largo11,$espacador,utf8_decode("Observação::"),1,0,'L');
$pdf->setXY($margemGerminacao+$largo8,$cota1+4*$espacador); 
$pdf->Cell($largo11,$espacador,utf8_decode(" "),1,0,'L');
$pdf->setXY($margemGerminacao+$largo8,$cota1+5*$espacador); 
$pdf->Cell($largo11,$espacador,utf8_decode(" "),1,0,'L');
$pdf->setXY($margemGerminacao+$largo8,$cota1+6*$espacador); 
$pdf->Cell($largo11,$espacador,utf8_decode(" "),1,0,'L');
$pdf->setXY($margemGerminacao+$largo8,$cota1+7*$espacador); 
$pdf->Cell($largo11,$espacador,utf8_decode(" "),1,0,'L');
$pdf->setXY($margemGerminacao+$largo8,$cota1+8*$espacador); 
$pdf->Cell($largo11,$espacador,utf8_decode(" "),1,0,'L');
$pdf->setXY($margemGerminacao+$largo8,$cota1+9*$espacador); 
$pdf->Cell($largo11,$espacador,utf8_decode(" "),1,0,'L');
$pdf->setXY($margemGerminacao+$largo8,$cota1+10*$espacador); 
$pdf->Cell($largo11,$espacador,utf8_decode("Analista:".$analista),1,0,'L');


endfor;//for que percore os dosi testes
//fim da parte germinacao					 
				 endif;
             endwhile; //este while abre a amostras atraves do campo amostraLong
			 endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
